View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17988Bug reportsConditionspublic2022-04-21 17:52
Reporterbbraeuer Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.2.x 
Fixed in Version5.3.x 
Summary17988: Order of questions in condition designer is arbitrarily / not logical
Description

Hi,

when using condition designer the question structure is not in the structure I gave them. You can see this in the lss. I have used the "Reorder questions/question groups" menu and also the "Regenerate question codes" tool.
It seems that the changes are not fully appear in the database or likewise, as the order of the questions before/after looks kind of illogical / arbitrarily.

This stops me from setting a condition from a question before as the CD thinks the question is after, even though it is before.
Here: G2Q00002 and G3Q00001 -> G3Q00001 should based on the answer of G2Q00002, but G2Q00002 from the systems view comes after G3Q00001.

It would be (from my point of view) an expectable behavior that the order is based on my order settings.

Kind regards
Benny

Steps To Reproduce

Steps to reproduce

No idea, please check lss file

Expected result

Structure based on my structure from the "Reorder questions/question groups" and/or structure menu

Actual result

A random-like order that stops me from setting conditions properly as they do not appear in the previous question list

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)Version 5.3.6+220321
I will donate to the project if issue is resolvedYes
Browser
Database type & versionMySQL 5.6.51-log
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2.24-0ubuntu0.18.04.11

Relationships

related to 16334 closedgalads Condition editor: previous question not available 
related to 17968 closedgabrieljenik conditions designer does not show the right questions to select 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

bbraeuer

bbraeuer

2022-03-24 13:09

reporter  

gabrieljenik

gabrieljenik

2022-04-21 17:02

manager   ~69171

Thanks for the bug report.
As this is related/similar to other tickets already solved, can I please ask you to review if the bug still remains after updating?

Thanks!

bbraeuer

bbraeuer

2022-04-21 17:07

reporter   ~69173

Thank you very much, it looks now to be in an logical order :-)

PS: could you remove the lss-file from the ticket?

gabrieljenik

gabrieljenik

2022-04-21 17:52

manager   ~69179

Deleted

Issue History

Date Modified Username Field Change
2022-03-24 13:09 bbraeuer New Issue
2022-03-24 13:09 bbraeuer File Added: Bildschirmfoto 2022-03-24 um 12.47.34.png
2022-03-24 13:09 bbraeuer File Added: Bildschirmfoto 2022-03-24 um 12.46.54.png
2022-03-24 13:09 bbraeuer File Added: Bildschirmfoto 2022-03-24 um 12.46.40.png
2022-03-24 13:09 bbraeuer File Added: Bildschirmfoto 2022-03-24 um 12.00.49.png
2022-03-24 13:09 bbraeuer File Added: limesurvey_survey_745999.lss
2022-03-31 12:13 Mazi Relationship added related to 16334
2022-03-31 12:13 Mazi Relationship added related to 17968
2022-04-21 17:02 gabrieljenik Note Added: 69171
2022-04-21 17:02 gabrieljenik Bug heat 0 => 2
2022-04-21 17:03 gabrieljenik Assigned To => gabrieljenik
2022-04-21 17:03 gabrieljenik Status new => feedback
2022-04-21 17:07 bbraeuer Note Added: 69173
2022-04-21 17:07 bbraeuer Bug heat 2 => 4
2022-04-21 17:07 bbraeuer Status feedback => assigned
2022-04-21 17:52 gabrieljenik File Deleted: limesurvey_survey_745999.lss
2022-04-21 17:52 gabrieljenik Note Added: 69179
2022-04-21 17:52 gabrieljenik Status assigned => closed
2022-04-21 17:52 gabrieljenik Resolution open => fixed
2022-04-21 17:52 gabrieljenik Fixed in Version => 5.3.x